Subject: [Tzdist-bis] -10 says a TZDIST service must support all advertised features in all formats?

From: Paul Eggert <[email-masked]>
Date: Sat, 4 Aug 2018 00:19:00 -0700

Draft 10 added this text that I don't recall being mentioned before (it's been 
awhile so I could well have forgotten):

       <t>A TZDIST service that advertises support for the 

       "application/tzif" MIME media type MUST support all advertised 

       features (e.g. truncated and/or expanded time zone data) that it 

       supports for other advertised media types 

       (e.g. "text/calendar").</t>

I don't see why "expanded time zone data" is relevant here, since expanded data 
is purely a JSON thing and is TZif doesn't care about it.

More importantly, I don't see why this requirement is here, or why it's a MUST 
instead of a SHOULD. Why require services to support all media types equally? 
Won't this discourage services to add TZif support, since they'll need to do all 
the bells and whistles that they do for iCalendar? And if other formats are 
added later, will they all have to do all the bells and whistles too? If a 
service supports some new feature that makes sense only for iCalendar, will it 
have to drop support for TZif to conform to the spec? In short, this sounds like 
quite a burden on service authors, and I'm not sure it's necessary.

Is this requirement due to some sort of restriction in TZDIST?

It'd be helpful to explain the motivation for this requirement, if we need it. I 
kind of hope we don't need it.

---

From: Ken Murchison <[email-masked]>
Date: Sat, 4 Aug 2018 08:46:18 -0400

On 08/04/2018 03:19 AM, Paul Eggert wrote:
> Draft 10 added this text that I don't recall being mentioned before 
> (it's been awhile so I could well have forgotten):
>
> I don't see why "expanded time zone data" is relevant here, since 
> expanded data is purely a JSON thing and is TZif doesn't care about it.
>
> More importantly, I don't see why this requirement is here, or why 
> it's a MUST instead of a SHOULD. Why require services to support all 
> media types equally? Won't this discourage services to add TZif 
> support, since they'll need to do all the bells and whistles that they 
> do for iCalendar? And if other formats are added later, will they all 
> have to do all the bells and whistles too? If a service supports some 
> new feature that makes sense only for iCalendar, will it have to drop 
> support for TZif to conform to the spec? In short, this sounds like 
> It'd be helpful to explain the motivation for this requirement, if we 
> need it. I kind of hope we don't need it.

Yeah, I noticed this in the online diff after I posted -10.  This is 
text that was proposed early in the -09 truncated thread that I failed 
to remove after we settled on truncation text.  Its been removed from my 
local copy and will NOT appear in -11.

-- 
Ken Murchison
Cyrus Development Team
FastMail US LLC